Name:           fuse-emulator
Version:        0.8.0.1
Release:        3%{?dist}
Summary:        The Free UNIX Spectrum Emulator
Group:          Applications/Emulators
License:        GPLv2+
URL:            http://fuse-emulator.sourceforge.net
Source0:        http://dl.sf.net/fuse-emulator/fuse-%{version}.tar.gz
# The source has deliberately had the ROMS removed. For the location of the
# ROMS, please see the ROMS readme file.
Source1:        fuse.png
Source2:        README.z88sdk
Source3:        README_fuseroms.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel
BuildRequires:  lib765-devel
BuildRequires:  libdsk-devel
BuildRequires:  libICE-devel
BuildRequires:  libpng-devel
BuildRequires:  libspectrum-devel >= 0.3.0.1
BuildRequires:  libxml2-devel
BuildRequires:  bison
BuildRequires:  flex
Requires:       hicolor-icon-theme

%description
Fuse is a spectrum emulator which emulates multiple models, including the 16K,
48K, 128K, +2, +2A, +3 and various clones.


%prep
%setup -qn fuse-%{version}

# Filter unwanted dependency in the debuginfo rpm
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
    sed -e '/perl(Fuse)/d' | \
    sed -e '/perl(strict)/d' | \
    sed -e '/perl(lib)/d'
EOF

%define __perl_requires %{_builddir}/fuse-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/fuse
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps

install -pm0755 fuse %{buildroot}%{_bindir}/fuse
install -pm0644 man/fuse.1 %{buildroot}%{_mandir}/man1
install -pm0644 lib/*.bmp lib/*.scr %{buildroot}%{_datadir}/fuse/
cp -a lib/compressed lib/uncompressed %{buildroot}%{_datadir}/fuse/
install -pm0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -pm0644 %{SOURCE2} .
install -pm0644 %{SOURCE3} .


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_mandir}/man1/fuse.1.gz
%{_bindir}/fuse
%{_datadir}/fuse
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%doc AUTHORS ChangeLog COPYING README THANKS README.z88sdk README_fuseroms.fedora


%changelog
* Wed Aug 21 2007 Ian Chapman <packages@amiga-hardware.com> 0.8.0.1-3
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Sun Jul 15 2007 Ian Chapman <packages@amiga-hardware.com> 0.8.0.1-2
- Filter unwanted dependancies dragged in by rpm (BZ #248265)

* Sat Jun 30 2007 Ian Chapman <packages@amiga-hardware.com> 0.8.0.1-1
- Upgrade to 0.8.0.1
- Various cleanups to the SPEC including conforming to new guidelines

* Thu Feb 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-6
- Removed pre and post as they were empty
- Fixed the "fuse-emulator" problem

* Wed Oct 26 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-5
- Altered package name to fuse-emulator (macro)
- Removed BR: zlib-devel and BR: glibc-devel and both Requires
- Included comment regarding the SRPM not containing the ROMS
- Added README.z88sdk file to the archive
- Made the source of the tarball a valid one!
- Removed a comma from after xml2-devel

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-4
- Minor alteration to spec file (Build require=perl gone)
- Addition of sound.c patch file

* Fri Sep 02 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-3.fc
- Removal of ROMS and addition to documentation of where to get ROMS

* Mon Aug 29 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-2.fc
- Fixes to both the source and spec for FC

* Mon Feb 28 2005 Ian Chapman <packages@amiga-hardware.com> - 0.7.0-2.iss
- Rebuild for newer version of lib765 (0.3.3)

* Mon Jul 16 2004 Ian Chapman <packages@amiga-hardware.com> - 0.7.0-1.iss
- Updated to version 0.7.0
- Updated for Fedora Core 2
- Added a graphic for the menu icon

* Fri Dec 05 2003 Ian Chapman <packages@amiga-hardware.com> - 0.6.1.1-2
- Minor fixes to changelog
- Improved use of macros
- Removed most explicit library dependancies
- Added menu icon

* Sun Nov 30 2003 Ian Chapman <packages@amiga-hardware.com> - 0.6.1.1-1
- Initial Release
